Get proxy profile
curl --request GET \
--url https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"client_id": 7,
"created_at": "2025-11-15T10:30:00Z",
"id": 42,
"is_error": false,
"is_processing": false,
"name": "web-server-profile",
"origin_host": "8.8.8.8",
"protected_ip_address": "10.0.0.50",
"rules": [
{
"mappings": [
{
"port": 80,
"protocol": "tcp",
"proxy_protocol": {
"accept_proxy": true,
"version": "2"
},
"rule_id": "3f2b8c1e-5d4a-4e6b-9c7d-1a2b3c4d5e6f"
},
{
"port": 53,
"protocol": "udp",
"rule_id": "7a9e0d2c-4b1f-4c3a-8e5d-6f7a8b9c0d1e"
}
],
"policy": "allow"
}
],
"status": "ACTIVE",
"template_id": 3
}{}{}{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Proxy profiles
Get proxy profile
Get a specific proxy profile
GET
/
security
/
edgeproxy
/
v3
/
profiles
/
{proxy_profile_id}
Get proxy profile
curl --request GET \
--url https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/security/edgeproxy/v3/profiles/{proxy_profile_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"client_id": 7,
"created_at": "2025-11-15T10:30:00Z",
"id": 42,
"is_error": false,
"is_processing": false,
"name": "web-server-profile",
"origin_host": "8.8.8.8",
"protected_ip_address": "10.0.0.50",
"rules": [
{
"mappings": [
{
"port": 80,
"protocol": "tcp",
"proxy_protocol": {
"accept_proxy": true,
"version": "2"
},
"rule_id": "3f2b8c1e-5d4a-4e6b-9c7d-1a2b3c4d5e6f"
},
{
"port": 53,
"protocol": "udp",
"rule_id": "7a9e0d2c-4b1f-4c3a-8e5d-6f7a8b9c0d1e"
}
],
"policy": "allow"
}
],
"status": "ACTIVE",
"template_id": 3
}{}{}{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Response
Successful Response
Unique identifier of the proxy profile
Identifier of the client owning this profile
Name of the proxy profile
Origin host (IPv4 address or FQDN) of the proxy profile
Protected IP address assigned to the profile
Current status of the proxy profile
Available options:
INACTIVE, ACTIVE, DELETED Whether the profile is currently being processed
Whether the profile is in an error state
Details of the error if the profile is in an error state
Show child attributes
Show child attributes
Timestamp when the profile was created
ID of the proxy template bound to this profile
Show child attributes
Show child attributes
Was this page helpful?